Skip to content
Start here

Update Account

client.Accounts.Update(ctx, params) (*Account, error)
PUT/accounts/{account_id}

Update an existing account.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Settings Write
ParametersExpand Collapse
params AccountUpdateParams
AccountID param.Field[string]

Path param: Account identifier tag.

maxLength32
minLength32
Account param.Field[Account]

Body param

ReturnsExpand Collapse
type Account struct{…}
ID string

Identifier

maxLength32
minLength32
Name string

Account name

maxLength100
Type AccountType
One of the following:
const AccountTypeStandard AccountType = "standard"
const AccountTypeEnterprise AccountType = "enterprise"
CreatedOn Timeoptional

Timestamp for the creation of the account

formatdate-time
ManagedBy AccountManagedByoptional

Parent container details

ParentOrgID stringoptional

ID of the parent Organization, if one exists

maxLength32
ParentOrgName stringoptional

Name of the parent Organization, if one exists

Settings AccountSettingsoptional

Account settings

AbuseContactEmail stringoptional

Sets an abuse contact email to notify for abuse reports.

EnforceTwofactor booloptional

Indicates whether membership in this account requires that Two-Factor Authentication is enabled

Update Account

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/accounts"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  account, err := client.Accounts.Update(context.TODO(), accounts.AccountUpdateParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Account: accounts.AccountParam{
      ID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
      Name: cloudflare.F("Demo Account"),
      Type: cloudflare.F(accounts.AccountTypeStandard),
    },
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", account.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "name": "Demo Account",
    "type": "standard",
    "created_on": "2014-03-01T12:21:02.0000Z",
    "managed_by": {
      "parent_org_id": "4536bcfad5faccb111b47003c79917fa",
      "parent_org_name": "Demo Parent Organization"
    },
    "settings": {
      "abuse_contact_email": "abuse_contact_email",
      "enforce_twofactor": true
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "name": "Demo Account",
    "type": "standard",
    "created_on": "2014-03-01T12:21:02.0000Z",
    "managed_by": {
      "parent_org_id": "4536bcfad5faccb111b47003c79917fa",
      "parent_org_name": "Demo Parent Organization"
    },
    "settings": {
      "abuse_contact_email": "abuse_contact_email",
      "enforce_twofactor": true
    }
  }
}